Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.axis2
Class ODEServer

    java.lang.Object
      org.apache.ode.axis2.ODEServer

    public class ODEServer

extends java.lang.Object

Server class called by our Axis hooks to handle all ODE lifecycle management.

Field Summary
`protected org.apache.commons.logging.Log` | `__log`
`protected org.apache.commons.logging.Log` | `__logTx`
`protected java.io.File` | `_appRoot`
`protected org.apache.axis2.engine.AxisConfiguration` | `_axisConfig`
`protected BpelServerImpl` | `_bpelServer`
`protected java.io.File` | `_configRoot`
`protected BpelDAOConnectionFactory` | `_daoCF`
`protected Database` | `_db`
`protected ODEConfigProperties` | `_odeConfig`
`protected Scheduler` | `_scheduler`
`protected ProcessStoreImpl` | `_store`
`protected javax.transaction.TransactionManager` | `_txMgr`
`protected java.io.File` | `_workRoot`
`protected org.apache.commons.httpclient.MultiThreadedHttpConnectionManager` | `httpConnectionManager`

Constructor Summary
`ODEServer()`

Method Summary
`ExternalService` | `createExternalService(ProcessConf pconf, javax.xml.namespace.QName serviceName, java.lang.String portName)`
`protected ProcessStoreImpl` | `createProcessStore(EndpointReferenceContext eprContext, javax.sql.DataSource ds)`
`protected Scheduler` | `createScheduler()`
`ODEService` | `createService(ProcessConf pconf, javax.xml.namespace.QName serviceName, java.lang.String portName, org.apache.commons.collections.map.MultiKeyMap services)`
`void` | `destroyService(javax.xml.namespace.QName serviceName, java.lang.String portName)`
`java.io.File` | `getAppRoot()`
`BpelServerImpl` | `getBpelServer()`
`org.apache.axis2.engine.AxisConfiguration` | `getClientAxisConfiguration()`
`InstanceManagement` | `getInstanceManagement()`
`ProcessManagement` | `getProcessManagement()`
`ProcessStoreImpl` | `getProcessStore()`
`ODEService` | `getService(javax.xml.namespace.QName serviceName, javax.xml.namespace.QName portTypeName)`
`ODEService` | `getService(javax.xml.namespace.QName serviceName, java.lang.String portName)`
`void` | `init(javax.servlet.ServletConfig config, org.apache.axis2.engine.AxisConfiguration axisConf)`
`void` | `init(java.lang.String contextPath, org.apache.axis2.engine.AxisConfiguration axisConf)`
`protected void` | `initBpelServer(EndpointReferenceContextImpl eprContext)`
`protected void` | `initDAO()` Initialize the DAO.
`protected void` | `initProcessStore(EndpointReferenceContext eprContext)`
`void` | `shutDown()` Shutdown the service engine.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### __log

    protected final org.apache.commons.logging.Log __log

### __logTx

    protected final org.apache.commons.logging.Log __logTx

### _appRoot

    protected java.io.File _appRoot

### _configRoot

    protected java.io.File _configRoot

### _workRoot

    protected java.io.File _workRoot

### _bpelServer

    protected BpelServerImpl _bpelServer

### _store

    protected ProcessStoreImpl _store

### _odeConfig

    protected ODEConfigProperties _odeConfig

### _axisConfig

    protected org.apache.axis2.engine.AxisConfiguration _axisConfig

### _txMgr

    protected javax.transaction.TransactionManager _txMgr

### _daoCF

    protected BpelDAOConnectionFactory _daoCF

### _scheduler

    protected Scheduler _scheduler

### _db

    protected Database _db

### httpConnectionManager

    protected org.apache.commons.httpclient.MultiThreadedHttpConnectionManager httpConnectionManager

Constructor Detail

### ODEServer

    public ODEServer()

Method Detail

### init

    public void init(javax.servlet.ServletConfig config,
                     org.apache.axis2.engine.AxisConfiguration axisConf)
              throws javax.servlet.ServletException

  Throws:
    `javax.servlet.ServletException`

### init

    public void init(java.lang.String contextPath,
                     org.apache.axis2.engine.AxisConfiguration axisConf)
              throws javax.servlet.ServletException

  Throws:
    `javax.servlet.ServletException`

### getClientAxisConfiguration

    public org.apache.axis2.engine.AxisConfiguration getClientAxisConfiguration()

### shutDown

    public void shutDown()
                  throws org.apache.axis2.AxisFault

  Shutdown the service engine. This performs cleanup before the BPE is terminated. Once this method has been called, init() must be called before the transformation engine can be started again with a call to start().

  Throws:
    `org.apache.axis2.AxisFault` - if the engine is unable to shut down.

### createService

    public ODEService createService(ProcessConf pconf,
                                    javax.xml.namespace.QName serviceName,
                                    java.lang.String portName,
                                    org.apache.commons.collections.map.MultiKeyMap services)
                             throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### createExternalService

    public ExternalService createExternalService(ProcessConf pconf,
                                                 javax.xml.namespace.QName serviceName,
                                                 java.lang.String portName)
                                          throws ContextException

  Throws:
    `ContextException`

### destroyService

    public void destroyService(javax.xml.namespace.QName serviceName,
                               java.lang.String portName)

### getService

    public ODEService getService(javax.xml.namespace.QName serviceName,
                                 java.lang.String portName)

### getService

    public ODEService getService(javax.xml.namespace.QName serviceName,
                                 javax.xml.namespace.QName portTypeName)

### initDAO

    protected void initDAO()
                    throws javax.servlet.ServletException

  Initialize the DAO.

  Throws:
    `javax.servlet.ServletException`

### initProcessStore

    protected void initProcessStore(EndpointReferenceContext eprContext)

### createProcessStore

    protected ProcessStoreImpl createProcessStore(EndpointReferenceContext eprContext,
                                                  javax.sql.DataSource ds)

### createScheduler

    protected Scheduler createScheduler()

### initBpelServer

    protected void initBpelServer(EndpointReferenceContextImpl eprContext)

### getProcessStore

    public ProcessStoreImpl getProcessStore()

### getBpelServer

    public BpelServerImpl getBpelServer()

### getInstanceManagement

    public InstanceManagement getInstanceManagement()

### getProcessManagement

    public ProcessManagement getProcessManagement()

### getAppRoot

    public java.io.File getAppRoot()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD